TechDraw Annotation/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "==Свойства==")
(Created page with "==Примечания==")
Line 63: Line 63:
}}
}}


==Примечания==
==Notes==





Revision as of 19:58, 8 August 2021

Other languages:

TechDraw Annotation

Menu location
TechDraw → Annotations → Insert Annotation
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
Draft Text, Draft ShapeString

Описание

The Annotation tool adds a text block to a drawing page.

Annotation in the drawing page

Применение

  1. If you have multiple drawing pages in your document, you will need to select the desired page in the tree.
  2. Press the Insert Annotation button
  3. A text block containing Default Text will appear on the page. Use the property editor to change the text. Drag the Annotation to the required position.
  4. You may need to press Refresh and/or Redraw Page to get your text to change.

Modifying the annotation through the property editor


Note: some characters interfere with the internal representation of the Annotation text. Specifically, these are the double quote ", less than <, and greater than > symbols; these must be replaced by HTML escape characters, &quot;, &lt;, and &gt; respectively. See Character encodings in HTML for details.

Свойства

The Annotation inherits all applicable basic View properties except ДанныеScale. Use the ДанныеTextSize property instead.

  • ДанныеText: The text to be displayed.
  • ДанныеFont: The name of the font to use. Annotation will use the best match of installed fonts.
  • ДанныеTextColor: The color of the text.
  • ДанныеTextSize: The size of the text in mm.
  • ДанныеMaxWidth: The maximum width of the Annotation block. -1 indicates no maximum width.
  • ДанныеLineSpace: Line spacing adjustment (%).
  • ДанныеTextStyle: "Normal", "Bold", "Italic", "Bold-Italic"

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The New Annotation tool can be used in macros and from the Python console by using the following functions:

anno = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewAnnotation','TestAnno')
anno.Text = ['Different Text']
anno.TextStyle = 'Bold'
rc = page.addView(anno)

Примечания